<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RoomListResponse StructType
 * @subpackage Structs
 */
class RoomListResponse extends AbstractStructBase
{
    /**
     * The RoomListRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $RoomListRS;
    /**
     * Constructor method for RoomListResponse
     * @uses RoomListResponse::setRoomListRS()
     * @param \StructType\JP_StaticDataRS $roomListRS
     */
    public function __construct(\StructType\JP_StaticDataRS $roomListRS = null)
    {
        $this
            ->setRoomListRS($roomListRS);
    }
    /**
     * Get RoomListRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getRoomListRS()
    {
        return $this->RoomListRS;
    }
    /**
     * Set RoomListRS value
     * @param \StructType\JP_StaticDataRS $roomListRS
     * @return \StructType\RoomListResponse
     */
    public function setRoomListRS(\StructType\JP_StaticDataRS $roomListRS = null)
    {
        $this->RoomListRS = $roomListRS;
        return $this;
    }
}
